ANACRON(8)

NAZWA
anacron - okresowo wykonuje polecenia

SKŁADNIA
anacron [-s] [-f] [-n] [-d] [-q] [-t anacrontab] [-S katalog spool] [zadanie] ...
anacron [-S katalog spool] -u [-t anacrontab] [zadanie] ...
anacron [-V|-h]
anacron -T [-t anacrontab]

OPIS
Anacron może być użyty to okresowego wykonywania poleceń, z częstotliwością określoną w dniach. W przeciwieństwie do cron(8), nie zakłada się, że komputer jest przez cały czas uruchomiony. Dlatego można z niego korzystać na komputerach, które nie działają przez 24 godziny na dobę, aby kontrolować codzienne, cotygodniowe i comiesięczne zadanie, zwykle działające pod kontrolą crona.

Gdy Anacron jest wykonywany, odczytuje listę zadań z pliku konfiguracyjnego, zwykle /etc/anacrontab (patrz anacrontab(5)). Plik ten zawiera listę zadań, które kontroluje Anacron. Każde zadanie ma określony okres w dniach, zwłokę w minutach, unikalny identyfikator zadania i polecenie powłoki.

Przy każdym zadaniu Anacron sprawdza, czy nie zostało ono wykonane w ciągu ostatnich n dni, gdzie n jest okresem podanym do tego zadania. Jeśli nie, Anacron wykonuje polecenie powłoki zadania, po odczekaniu liczby minut podanej jak parametr zwłoki.

Po zakończeniu polecenia, Anacron zapisuje datę w specjalnym pliku znacznika czasowego do danego zadania, dzięki czemu wie, kiedy wykonać je ponownie. Do obliczeń czasu używana jest tylko data, bez godzin.

Gdy nie ma już więcej zadań do wykonania, Anacron kończy pracę.

Anacron uwzględnia tylko zadania z identyfikatorem podanym w anacrontab, który pasuje do argumentów wiersza polecenia zadania. Argumentami zadania mogą być wzorce maski (wildcard) powłoki (proszę upewnić się, że są one chronione, czyli odpowiednio cytowane, przed interpretacją przez powłokę). Jeśli nie poda się argumentów zadania, jest to równoważne podaniu "*" (czyli uwzględniane są wszystkie zadania).

Jeśli nie poda się opcji -d (patrz niżej), to Anacron mnoży się i przechodzi w tło podczas uruchomienia, a proces macierzysty natychmiast się kończy.

Jeśli nie podano opcji -s lub -n, to Anacron uruchamia zadania zaraz po minięciu czasu odstępu. Wykonywanie różnych zadań jest całkowicie niezależne.

Jeśli zadanie wysyła komunikaty na swoje standardowe wyjście lub standardowe wyjście błędów, to są one wysyłane pocztą elektroniczną do użytkownika uruchamiającego Anacron (zwykle roota) lub na adres znajdujący się w zmiennej środowiskowej MAILTO w crontab, jeśli taka istnieje.

Komunikaty informujące o tym co wykonuje Anacron są wysyłane do syslogd(8), jako obiekt cron, o priorytecie notice. Wiadomości o błędach są wysyłane z priorytetem error.

Zadania "aktywne" (tzn. zadania, które Anacron zdecydował się już uruchomić i obecnie czekają na minięcie czasu odstępu oraz zadania wykonywane właśnie przez Anacrona) są "zablokowane", dzięki czemu inne kopie Anacrona nie uruchomią ich w tym samym czasie.

OPCJE

-f  Wymusza wykonanie zadań, ignorując znaczniki czasowe.

-u  Tylko aktualizuje do bieżącej daty znaczniki czasowe, ale niczego nie uruchamia.

-s  Sekwencyjne wykonywanie zadań. Anacron nie uruchomi nowego zadanie przed zakończeniem poprzedniego.

-n  Uruchamia zadania teraz. Ignoruje odstępy podane w pliku /etc/anacrontab. Ta opcja implikuje -s.

-d  Nie mnoży się i nie przechodzi w tło. W tym trybie Anacron wysyła wiadomości informacyjne zarówno na standardowe wyjście, jak i do sysloga. Wyjście z zadań jest wysyłane pocztą elektroniczną, jak zazwyczaj.

-q  Nie wypisuje komunikatów na standardowe wyjście błędów. Stosowane wyłącznie z opcją -d.

-t anacrontab
    Używa podanego pliku anacrontab, zamiast domyślnego.

-T  Test Anacrontab. Plik konfiguracyjny zostanie przetestowany pod kątem poprawności. Jeśli w pliku znajduje się błąd, zostanie on wypisany, a anacron zakończy się kodem 1. Poprawny plik anacrontab zwróci 0.

-S katalog spool
    Używa podanego katalogu spool do przechowywania znaczników czasowych. Opcja jest wymagana w przypadku użytkowników, którzy chcą samodzielnie uruchamiać anacron.

-V  Wyświetla informacje o wersji i wychodzi.

-h  Wypisuje krótką informację o użyciu i wychodzi.

SYGNAŁY
Po otrzymaniu sygnału SIGUSR1, Anacron czeka na zakończenia działających zadań (jeśli istnieją) i wychodzi. Sygnał może być użyty do prawidłowego zakończenia Anacrona.

UWAGI
Proszę upewnić się, że strefa czasowa jest ustawiona poprawnie, przed uruchomieniem Anacrona (strefa czasowa wpływa na datę). Z reguły oznacza to ustawienie zmiennej środowiskowej TZ lub zainstalowanie pliku /usr/lib/zoneinfo/localtime. Strona podręcznika tzset(3) zawiera więcej informacji. Pliki znaczników czasowych są tworzone w katalogu spool do każdego zadania w anacrontab. Nie zostaną nigdy usunięte automatycznie przez anacron i jeśli nie są dłużej potrzebne konieczne jest ich ręczne usunięcie.

DEBIAN-SPECIFIC CONFIGURATION

On Debian-based systems, anacron will be activated hourly every day from 07:30 local time to 23:30 local time through cron job (on non-systemd systems where cron is installed and enabled) or systemd timer (on systemd-based systems). On activation, anacron will check if it missed some jobs. If yes, it will start those jobs after a short period of time.

By default, The hourly activation of anacron will not take place when the system is using battery and no AC power is connected to the computer. It is meant to reduce power usage and extend battery life, but such design might lead to unwanted results. Users may disable this feature and let anacron run regardless of power supply. Please read Debian-specific documentation in /usr/share/doc/anacron/README.Debian file for detailed instruction in now to change such behaviour.

PLIKI

/etc/anacrontab
    Zawiera wykaz zadań. Szczegółowy opis zawiera strona podręcznika anacrontab(5).

/var/spool/anacron
    Katalog jest używany przez Anacron do przechowywania plików znaczników czasowych.

/lib/systemd/system/anacron.service
    This file provides systemd service for anacron.

/lib/systemd/system/anacron.timer
    This file provides systemd timer for anacron. Currently the service is triggered hourly through systemd timer.

ZOBACZ TAKŻE
anacrontab(5), cron(8), tzset(3)

Plik README Anacrona.

For Debian-specific modifications, please read /usr/share/doc/anacron/README.Debian file for detailed information.

BŁĘDY
Anacron nigdy nie usuwa plików znaczników czasowych. Konieczne jest ręczne usunięcie niepotrzebnych.

Anacron używa do dwóch deskryptorów plików do każdego aktywnego zadania. Może mu ich zabraknąć, jeśli jest więcej niż 125 aktywnych zadań (na zwykłych jądrach).

Komentarze, sugestie i zgłoszenia błędów proszę wysyłać pocztą elektroniczną do Seana "Shaleha" Perry'ego <shaleh@(debian.org|valinux.com)> (w języku angielskim).

AUTOR
Anacron was originally conceived and implemented by Christian Schwarz <schwarz@monet.m.isar.de>. The current implementation is a complete rewrite by Itai Tzur <itzur@actcom.co.il>.

The code base was maintained by Sean 'Shaleh' Perry <shaleh@(debian.org|valinux.com)>. During 2004-2006, it was maintained by Pascal Hakim <pasc@(debian.org|redellipse.net)>. During 2009-2014, it was maintained by Peter Eisentraut <petere@debian.org>.

Nowadays anacron in Debian is co-maintained by various developers from Debian Project.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.